## fcitx-fullwidthchar-enhance 0.0~git20150311

=== CMakeLists.txt ===
project(fcitx-fullwidthchar-enhance)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
find_package(Fcitx 4.2.8 REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-g -O0 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-g -O0 -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-D_GNU_SOURCE -DFCITX_HAVE_CONFIG_H")

set(package     fcitx)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${exec_prefix}/bin)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${exec_prefix}/lib" CACHE PATH "Library install directory [default=PREFIX/lib/]")
endif()
if(NOT DEFINED LIBDATA_INSTALL_DIR)
    set(LIBDATA_INSTALL_DIR "${LIB_INSTALL_DIR}"  CACHE PATH "Lib data install directory [default=LIB_INSTALL_DIR]")
endif()
if(NOT DEFINED MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR "${prefix}/share/man"  CACHE PATH "man install directory [default=PREFIX/share/man]")
endif()
if (NOT DEFINED DBUS_SERVICE_DIR)
    set(DBUS_SERVICE_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/services" CACHE PATH "dbus session service directory [default=PREFIX/share/dbus-1/services]")
endif()
if (NOT DEFINED SYSCONFDIR)
    set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE PATH "sys config directory [default=PREFIX/etc/]")
endif()

set(includedir "${CMAKE_INSTALL_PREFIX}/include")
set(libdir ${LIB_INSTALL_DIR})
set(pkgconfdir ${LIBDATA_INSTALL_DIR}/pkgconfig)
set(mandir ${MAN_INSTALL_DIR})
set(addondir ${libdir}/${package} )
set(pkgdatadir ${prefix}/share/${package})
set(configdescdir ${pkgdatadir}/configdesc)
set(addonconfigdir ${pkgdatadir}/addon)
set(imconfigdir ${pkgdatadir}/inputmethod)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(FCITX_FULLWIDTH_CHAR_SOURCES
  iniparser/dictionary.c
  iniparser/iniparser.c
  cfgrw.c
  fullwidthchar-enhance.c)

fcitx_add_addon_full(fullwidth-char-enhance
  SOURCES ${FCITX_FULLWIDTH_CHAR_SOURCES})

=== debian/changelog ===
fcitx-fullwidthchar-enhance (0.0~git20150311-3) unstable; urgency=medium

  * Team upload.
  * Fix typo in Vcs-* url.
  * Mark package fcitx-module-fullwidthchar-enhance as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Oct 2018 21:08:35 -0400

fcitx-fullwidthchar-enhance (0.0~git20150311-2) unstable; urgency=medium

  * Team upload.
  * Modernize packaging.
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Update maintainer to Debian Input Method Team. (Closes: #899763)
    + Enable full hardening.
    + Update Vcs-* fields to use git repo under Salsa input-method-team.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Oct 2018 10:01:19 -0400

fcitx-fullwidthchar-enhance (0.0~git20150311-1) unstable; urgency=medium

  * Initial release. (Closes: #864303)

 -- Shengjing Zhu <zsj950618@gmail.com>  Tue, 06 Jun 2017 23:22:24 +0800

=== debian/control ===
Source: fcitx-fullwidthchar-enhance
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>,
 Aron Xu <aron@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-libs-dev (>= 1:4.2.8),
 pkg-config,
Standards-Version: 4.2.1
Homepage: https://pinyin.sogou.com/linux/
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-fullwidthchar-enhance.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-fullwidthchar-enhance

Package: fcitx-module-fullwidthchar-enhance
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.8),
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Breaks:
 fcitx (<< 1:4.2.8),
Conflicts:
 sogoupinyin,
Suggests:
 sogoupinyin-installer,
Description: Fcitx fullwidthchar enhance module for Sogou pinyin
 fcitx-module-fullwidthchar is a module for Sogou pinyin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_missing:
	dh_missing --fail-missing
